package com.tazkia.moodlesmile.dto;

import java.math.BigInteger;

public interface MdlUserIntDto {
    BigInteger getId();
    String getAuth();
    Integer getConfirmed();
    Integer getPolicyAgreed();
    Integer getDeleted();
    Integer getSuspended();
    BigInteger getMnetHostId();
    String getUsername();
    String getPassword();
    String getIdNumber();
    String getFirstName();
    String getLastName();
    String getEmail();
    Integer getEmailStop();
    String getIcq();
    String getSkype();
    String getYahoo();
    String getAim();
    String getMsn();
    String getPhone1();
    String getPhone2();
    String getInstitution();
    String getDepartment();
    String getAddress();
    String getCity();
    String getCountry();
    String getLang();
    String getCalendarType();
    String getTheme();
    String getTimeZone();
    BigInteger getFirstAccess();
    BigInteger getLastAccess();
    BigInteger getLastLogin();
    BigInteger getCurrentLogin();
    String getLastip();
    String getSecret();
    BigInteger getPicture();
    String getUrl();
    String getDescription();
    Integer getDescriptionFormat();
    Integer getMailFormat();
    Integer getMailDigest();
    Integer getMailDisplay();
    Integer getAutoSubscribe();
    Integer getTrackDorums();
    BigInteger getTimeCreated();
    BigInteger getTimeModified();
    BigInteger getTrustBitmask();
    String getImageAlt();
    String getLastNamePhonetic();
    String getFirstNamePhonetic();
    String getMiddleName();
    String getAlternateName();
    String getMoodleNetProfile();

}
